<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>profile</title>
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.min.css"
    />
    <link
      rel="stylesheet"
      href="https://ajax.googleapis.com/ajax/libs/angular_material/0.11.2/angular-material.min.css"
    />
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/icon?family=Material+Icons"
    />
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Roboto:400,500,700,400italic"
    />
    <link rel="stylesheet" href="profile.css" />
    <link
      href="https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="style.css" />

    <!-- Update -->
    <link
      href="https://fonts.googleapis.com/css?family=Nunito"
      rel="stylesheet"
    />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />

    <!-- Bootstrap -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"></script>
  </head>
  <body>
    <nav>
      <div class="navbar">
        <i class="bx bx-menu"></i>
        <div class="logo"><a href="#">Bucket List</a></div>
        <div class="nav-links">
          <div class="sidebar-logo">
            <span class="logo-name">Bucket List</span>
            <i class="bx bx-x"></i>
          </div>
          <ul class="links">
            <li>
              <a href="#">Home</a>
              <i class="bx bxs-chevron-down htmlcss-arrow arrow"></i>
              <ul class="htmlCss-sub-menu sub-menu">
                <li><a href="home.html">Bucket List</a></li>
                <li><a href="Addbucket.html">Add Bucket List</a></li>
                <li class="more" visibility="hidden" style="display: none">
                  <span style="visibility: hidden"
                    ><a href="#"></a>
                    <i class="bx bxs-chevron-right arrow more-arrow"></i>
                  </span>
                  <!-- <ul class="more-sub-menu sub-menu">
                    <li><a href="#">Neumorphism</a></li>
                    <li><a href="#">Pre-loader</a></li>
                    <li><a href="#">Glassmorphism</a></li>
                  </ul> -->
                </li>
              </ul>
            </li>
            <!-- <li>
            <a href="#">Setting</a>
            <i class="bx bxs-chevron-down js-arrow arrow"></i>
            <ul class="js-sub-menu sub-menu">
              <li><a href="deleteAcc.html">Delete account</a></li>
              <li><a href="updatepassword.html">Change password</a></li>
              <li><a href="index.html">Log Out</a></li>
            </ul>
          </li> -->
            <li><a href="profile.html">User Profile</a></li>
            <li><a href="index.html">Log Out</a></li>
          </ul>
        </div>
        <div class="search-box" style="visibility: hidden">
          <i class="bx bx-search"></i>
          <div class="input-box">
            <input type="text" placeholder="Search..." />
          </div>
        </div>
      </div>
    </nav>
    <br />
    <br />
    <br />
    <!-- partial:index.partial.html -->
    <!-- <div ng-app="userProfile" ng-controller="Ctrl">
  <md-card>
    <md-toolbar>
      <div class="md-toolbar-tools">
        <h2>
          <span>OVERVIEW</span>
        </h2>
        <span flex></span>
        <md-button class="md-icon-button" ng-if="viewMode" ng-click="switchMode()">
          <md-tooltip>
            Edit Profile
          </md-tooltip>
          <md-icon>mode_edit</md-icon>
        </md-button>
        <md-button class="md-icon-button" ng-if="!viewMode" ng-click="switchMode(); saveChanges()">
          <md-tooltip>
            Save Changes
          </md-tooltip>
          <md-icon>save</md-icon>
        </md-button>
        <md-menu>
          <md-button class="md-icon-button" ng-click="$mdOpenMenu($event)">
            <md-tooltip>
              More Options
            </md-tooltip>
            <md-icon>more_vert</md-icon>
          </md-button>
          <md-menu-content>
            <md-menu-item>
              <md-button ng-click="deleteUser()">
                <md-icon>delete</md-icon>
                Delete User
              </md-button>
            </md-menu-item>
            <md-menu-item>
              <md-button ng-click="resetPassword()">
                <md-icon>replay</md-icon>
                Reset Password
              </md-button>
            </md-menu-item>
          </md-menu-content>
        </md-menu>
      </div>
      
    </md-toolbar>
    <md-card-content layout-sm="column" layout-gt-sm="row">
      <div class="user" layout-sm layout-gt-sm="column">
        <img src="https://lh3.googleusercontent.com/-W2XryVdi-lA/U6tSAh3SsbI/AAAAAAAAFGY/ZHJiUEcR_Zs/w480-h480/avatar%2Bmaterial%2Bdesign.png" alt="user avatar" class="user-avatar" />
        <md-button class="md-icon-button user-avatar-edit" ng-click="browserAvatar()">
          <md-icon>photo_camera</md-icon>
        </md-button>
        <form name="userBasicInfoForm" layout="column" layout-align="start" layout-align-sm="center start" flex>
          <md-input-container class="user-input-container">
            <label>Name</label>
            <textarea name="userName" required class="user-name" ng-model="user.name" ng-disabled="viewMode" flex></textarea>
            <div ng-messages="userBasicInfoForm.userName.$error">
              <div ng-message="required">This is required.</div>
            </div>
          </md-input-container>
          <md-input-container class="user-input-container">
            <label>Nickname😘</label>
            <input name="userTitle" required class="user-title" ng-model="user.title" ng-disabled="viewMode"></input>
            <div ng-messages="userBasicInfoForm.userTitle.$error">
              <div ng-message="required">This is required.</div>
            </div>
          </md-input-container>
        </form>
      </div>
      <form name="userDetailsForm" flex>
        <div layout="column" layout-gt-sm="row">
          <md-input-container flex>
            <label>Interest</label>
            <input required name="userDepartment" ng-model="user.department" ng-disabled="viewMode"></input>
            <div ng-messages="userDetailsForm.userDepartment.$error">
              <div ng-message="required">This is required.</div>
            </div>
          </md-input-container>
          <md-input-container flex>
            <label>Location</label>
            <textarea name="userLocation" required ng-model="user.location" ng-disabled="viewMode"></textarea>
            <div ng-messages="userDetailsForm.userLocation.$error">
              <div ng-message="required">This is required.</div>
            </div>
          </md-input-container>
        </div>
        <div layout="column" layout-gt-sm="row">
          <md-input-container flex>
            <label>Gender</label>
            <input name="userCompany" required ng-model="user.company" ng-disabled="viewMode"></input>
            <div ng-messages="userDetailsForm.userCompany.$error">
              <div ng-message="required">This is required.</div>
            </div>
          </md-input-container>
          <md-input-container flex>
            <label>Date of Birth</label>
            <input name="userManager" required ng-model="user.manager" ng-disabled="viewMode"></input>
            <div ng-messages="userDetailsForm.userManager.$error">
              <div ng-message="required">This is required.</div>
            </div>
          </md-input-container>
        </div>
        <div layout="column" layout-gt-sm="row">
          <md-input-container flex>
            <label>Permenant Address</label>
            <input type="tel" name="userWorkPhone" required ng-model="user.workPhone" ng-disabled="viewMode"></input>
            <div ng-messages="userDetailsForm.userWorkPhone.$error">
              <div ng-message="required">This is required.</div>
            </div>
          </md-input-container>
          <md-input-container flex>
            <label>Mobile Phone</label>
            <input type="tel" ng-model="user.mobilePhone" ng-disabled="viewMode"></input>
          </md-input-container>
        </div>
        <md-input-container>
          <label>Bio</label>
          <input type="email" name="userAlias" ng-model="user.alias" ng-disabled="viewMode"></input>
            <div ng-messages="userDetailsForm.userAlias.$error">
              <div ng-message="email">Write Something about yourself.</div>
            </div>
        </md-input-container>
        <md-input-container>
          <label>Email</label>
          <input type="email" name="userOtherEmail" ng-model="user.otherEmail" ng-disabled="viewMode"></input>
            <div ng-messages="userDetailsForm.userOtherEmail.$error">
              <div ng-message="email">Email address is invalid</div>
            </div>
        </md-input-container>
      </form>
    </md-card-content>
  </md-card>
</div> -->
    <!-- partial -->
    <!-- <div id="app">
      <main class="py-4">
        <div class="container">
          <br />
          <br />
          <br />
          <div class="row justify-content-center pt-5">
            <div class="col-lg-4">
              <h4 class="pb-2">Update Password</h4>
              <span class="text-justify" style="padding-top: -3px"
                >Ensure your account is using a long, random password to stay
                secure.</span
              >
            </div>
            <div class="col-lg-8 text-center pt-2">
              <div
                class="card py-4 mb-5 mt-md-3 bg-white rounded"
                style="box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.175)"
              >
                <form>
                  <div class="form-group px-3">
                    <label for="password" class="col-12 text-left pl-0"
                      >New Password</label
                    >
                    <input
                      type="password"
                      class="col-md-8 form-control"
                      placeholder="Password"
                    />

                    <label for="password" class="pt-3 col-12 text-left pl-0"
                      >Confirm Password</label
                    >
                    <input
                      type="password"
                      class="col-md-8 form-control"
                      placeholder="Password"
                    />
                  </div>
                  <div class="form-group row mb-0 mr-4">
                    <div class="col-md-8 offset-md-4 text-right">
                      <button type="submit" class="btn btn-primary">
                        Save
                      </button>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
          <div class="border-bottom border-grey"></div>
        </div>
      </main>
    </div> -->
    <!-- <div id="app">
      <main class="py-4">
        <div class="container">
          <br /><br /><br />
          <div class="row justify-content-center pt-5">
            <div class="col-lg-4">
              <h4 class="pb-2">Delete Account</h4>
              <span class="text-justify" style="padding-top: -3px"
                >Permanently delete your account.</span
              >
            </div>
            <div class="col-lg-8 pt-0">
              <div
                class="card py-4 mb-5 mt-md-3 bg-white rounded"
                style="box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.175)"
              >
                <div class="text-left px-3">
                  Once your account is deleted, all of its resources and data
                  will be permanently deleted. Before deleting your account,
                  please download any data or information that you wish to
                  retain.
                </div>

                <form>
                  <div class="form-group row mb-0 mr-4 pt-4 px-3">
                    <div class="col-md-8 offset-l-4 text-left">
                      <button type="submit" class="btn btn-danger pl-3">
                        Delete Account
                      </button>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </main>
    </div> -->



  <div class="page-content page-container" id="page-content">
      <div class="padding">
          <div class="row container d-flex justify-content-center">
               <div class="col-md-12">
                      <div class="card user-card-full">
                          <div class="row m-l-0 m-r-0">

                              <div class="col-sm-4 bg-c-lite-green user-profile">
                                  <div class="card-block text-center text-white">
                                      <div class="m-b-25">
                                          <img src="https://img.icons8.com/bubbles/100/000000/user.png" class="img-radius" alt="User-Profile-Image">
                                      </div>
                                      <h6 class="f-w-600" id="username">Undefined</h6>
                                      <p>User</p>
                                    
                                  </div>
                              </div>
                              <div class="col-sm-8">
                                  <div class="card-block">
                                      <h6 class="m-b-20 p-b-5 b-b-default f-w-600">Information</h6>
                                      <div class="row">
                                          <div class="col-sm-6">
                                              <p class="m-b-10 f-w-600" >Email</p>
                                              <h6 class="text-muted f-w-400" id="email">Undefined</h6>
                                          </div>
                                      </div>
                                      <div class="col-sm-6 mt-5 button">
                                          <button class="realbutton" id="editButton">Edit</button>
                                      </div>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
      
      <div class="content_table">
        <div class="form" >
          <div class="close">+</div>
          <form class="contactForm" id="sellerForm" autocomplete="off">
            <div class="form-group">
              Update Details
            </div>

            <div class="form-group">
              <label for="name">User Name</label>
              <input type="text" class="form-control input-text" id="name" placeholder="Name" required/>

            </div>
            <div class="form-group">
              <label for="email">Email</label>
              <input type="email" class="form-control input-text" id="email1" placeholder="example@gmail.com" required/>
              
            </div>
           
            <div class="form-group">
              <label for="password">Password</label>
              <input type="text" class="form-control input-text" id="password" autocomplete="off" required>
      
            </div>
            <div class="form-group">
              <label for="password">Confirm Password</label>
              <input type="password" class="form-control input-text" id="cpassword" autocomplete="off" required>

            </div>
            <div class="form-group">
              <span id="validation" class="validation">Password do not match!</span>
            </div>
            <div class="form-group">
              <label for="button"></label>
              <button class="input-btn" id="upButton">Update</button>
            </div>
          </form>
        </div>
      </div>
      <footer  class="myfooter">
     
        <div class="container p-4">
     
          <div class="row">
            
            <div class="col-lg-6 col-md-12 mb-4 mb-md-0">
              <h5 class="text-uppercase">BucketList</h5>
      
              <p>
                BucketList: Make a list and fulfill it before you kick the bucket!
              </p>
            </div>
           
      
          
            <div class="col-lg-6 col-md-12 mb-4 mb-md-0">
              <h5 class="text-uppercase">Our Social Presence</h5>
      
              <p>
                <a class="text-light sociallink" href="#">FaceBook</a>.
                <br>
                <a class="text-light sociallink" href="#">Instagram</a>
                <br>
                <a class="text-light sociallink" href="#">Discord</a>
              </p>
            </div>
          
          </div>
       
        </div>
        
  
        <!-- Copyright -->
        <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
            © 2023 Copyright:
        <a class="text-light"href="#">BucketList</a>
        </div>
        <!-- Copyright -->
      
      </footer>
      



    <script src="/myapp/view/profile.js"></script>
    <script src="script.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>
    <!-- <script src="profile.js"></script> -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
  </body>
</html>
